### Method

# WebKit MemoryPressureSettings set_memory_limit

since: 2.34

#### Declaration [src]

    void
    webkit_memory_pressure_settings_set_memory_limit (
      WebKitMemoryPressureSettings* settings,
      guint memory_limit
    )

#### Description [src]

Sets `memory_limit` the memory limit value to `settings`.

The default value is the system’s RAM size with a maximum of 3GB.

Available since: 2.34

#### Parameters

`memory_limit`

  Type: `guint`

  Amount of memory (in MB) that the process is allowed to use.